## net.sf.saxon.regex
Class SurrogateRegexTranslator.Property

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.Property

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.Property

extends SurrogateRegexTranslator.SimpleCharClass

Character class containing characters that share a given Unicode property

Constructor Summary
`SurrogateRegexTranslator.Property(String name)`

Method Summary
`void` `inClassOutputBmp(FastStringBuffer buf)`
`void` `outputBmp(FastStringBuffer buf)` Output a representation of the subset of this character class that's within the BMP, to a supplied buffer
`void` `outputComplementBmp(FastStringBuffer buf)` Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.Property

    public SurrogateRegexTranslator.Property(String name)

Method Detail

### outputBmp

    public void outputBmp(FastStringBuffer buf)

  Output a representation of the subset of this character class that's within the BMP, to a supplied buffer

  Overrides:
    `outputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`

### outputComplementBmp

    public void outputComplementBmp(FastStringBuffer buf)

  Output a representation of the complement of the subset of this character class that's within the BMP, to a supplied buffer

  Overrides:
    `outputComplementBmp` in class `SurrogateRegexTranslator.SimpleCharClass`
  Parameters:
    `buf` - the supplied buffer

Copyright (C) Michael H. Kay. All rights reserved.